aboutsummaryrefslogtreecommitdiff
path: root/ci
diff options
context:
space:
mode:
authorMarcoFalke <*~=`'#}+{/-|&$^_@721217.xyz>2023-05-04 18:40:01 +0200
committerMarcoFalke <*~=`'#}+{/-|&$^_@721217.xyz>2023-05-05 08:51:43 +0200
commitfa1dbd04cab8039440e721eddabb760a40ba8c61 (patch)
treeb82437b9cd9d7c0a13c106a59ca47a76567a96be /ci
parentfae8de926abaa9d7e5f0769865ded9491a72f866 (diff)
downloadbitcoin-fa1dbd04cab8039440e721eddabb760a40ba8c61.tar.xz
ci: Remove CI_EXEC bloat in test/06_script_b.sh
Diffstat (limited to 'ci')
-rwxr-xr-xci/test/06_script_b.sh130
-rwxr-xr-xci/test_run_all.sh3
2 files changed, 68 insertions, 65 deletions
diff --git a/ci/test/06_script_b.sh b/ci/test/06_script_b.sh
index ea365d8314..3efbe8afc6 100755
--- a/ci/test/06_script_b.sh
+++ b/ci/test/06_script_b.sh
@@ -6,96 +6,98 @@
export LC_ALL=C.UTF-8
+set -ex
+
if [[ $HOST = *-mingw32 ]]; then
# Generate all binaries, so that they can be wrapped
- CI_EXEC make "$MAKEJOBS" -C src/secp256k1 VERBOSE=1
- CI_EXEC make "$MAKEJOBS" -C src minisketch/test.exe VERBOSE=1
- CI_EXEC "${BASE_ROOT_DIR}/ci/test/wrap-wine.sh"
+ make "$MAKEJOBS" -C src/secp256k1 VERBOSE=1
+ make "$MAKEJOBS" -C src minisketch/test.exe VERBOSE=1
+ "${BASE_ROOT_DIR}/ci/test/wrap-wine.sh"
fi
if [ -n "$QEMU_USER_CMD" ]; then
# Generate all binaries, so that they can be wrapped
- CI_EXEC make "$MAKEJOBS" -C src/secp256k1 VERBOSE=1
- CI_EXEC make "$MAKEJOBS" -C src minisketch/test VERBOSE=1
- CI_EXEC "${BASE_ROOT_DIR}/ci/test/wrap-qemu.sh"
+ make "$MAKEJOBS" -C src/secp256k1 VERBOSE=1
+ make "$MAKEJOBS" -C src minisketch/test VERBOSE=1
+ "${BASE_ROOT_DIR}/ci/test/wrap-qemu.sh"
fi
if [ -n "$USE_VALGRIND" ]; then
- CI_EXEC "${BASE_ROOT_DIR}/ci/test/wrap-valgrind.sh"
+ "${BASE_ROOT_DIR}/ci/test/wrap-valgrind.sh"
fi
if [ "$RUN_UNIT_TESTS" = "true" ]; then
- CI_EXEC "${TEST_RUNNER_ENV}" DIR_UNIT_TEST_DATA="${DIR_UNIT_TEST_DATA}" LD_LIBRARY_PATH="${DEPENDS_DIR}/${HOST}/lib" make "$MAKEJOBS" check VERBOSE=1
+ bash -c "${TEST_RUNNER_ENV} DIR_UNIT_TEST_DATA=${DIR_UNIT_TEST_DATA} LD_LIBRARY_PATH=${DEPENDS_DIR}/${HOST}/lib make $MAKEJOBS check VERBOSE=1"
fi
if [ "$RUN_UNIT_TESTS_SEQUENTIAL" = "true" ]; then
- CI_EXEC "${TEST_RUNNER_ENV}" DIR_UNIT_TEST_DATA="${DIR_UNIT_TEST_DATA}" LD_LIBRARY_PATH="${DEPENDS_DIR}/${HOST}/lib" "${BASE_OUTDIR}/bin/test_bitcoin" --catch_system_errors=no -l test_suite
+ bash -c "${TEST_RUNNER_ENV} DIR_UNIT_TEST_DATA=${DIR_UNIT_TEST_DATA} LD_LIBRARY_PATH=${DEPENDS_DIR}/${HOST}/lib ${BASE_OUTDIR}/bin/test_bitcoin --catch_system_errors=no -l test_suite"
fi
if [ "$RUN_FUNCTIONAL_TESTS" = "true" ]; then
- CI_EXEC LD_LIBRARY_PATH="${DEPENDS_DIR}/${HOST}/lib" "${TEST_RUNNER_ENV}" test/functional/test_runner.py --ci "$MAKEJOBS" --tmpdirprefix "${BASE_SCRATCH_DIR}/test_runner/" --ansi --combinedlogslen=99999999 --timeout-factor="${TEST_RUNNER_TIMEOUT_FACTOR}" "${TEST_RUNNER_EXTRA}" --quiet --failfast
+ bash -c "LD_LIBRARY_PATH=${DEPENDS_DIR}/${HOST}/lib ${TEST_RUNNER_ENV} test/functional/test_runner.py --ci $MAKEJOBS --tmpdirprefix ${BASE_SCRATCH_DIR}/test_runner/ --ansi --combinedlogslen=99999999 --timeout-factor=${TEST_RUNNER_TIMEOUT_FACTOR} ${TEST_RUNNER_EXTRA} --quiet --failfast"
fi
if [ "${RUN_TIDY}" = "true" ]; then
set -eo pipefail
- export P_CI_DIR="${BASE_BUILD_DIR}/bitcoin-$HOST/src/"
- ( CI_EXEC run-clang-tidy-16 -quiet "${MAKEJOBS}" ) | grep -C5 "error"
- export P_CI_DIR="${BASE_BUILD_DIR}/bitcoin-$HOST/"
- CI_EXEC "python3 ${DIR_IWYU}/include-what-you-use/iwyu_tool.py"\
- " src/common/args.cpp"\
- " src/common/config.cpp"\
- " src/common/init.cpp"\
- " src/common/url.cpp"\
- " src/compat"\
- " src/dbwrapper.cpp"\
- " src/init"\
- " src/kernel"\
- " src/node/chainstate.cpp"\
- " src/node/chainstatemanager_args.cpp"\
- " src/node/mempool_args.cpp"\
- " src/node/minisketchwrapper.cpp"\
- " src/node/utxo_snapshot.cpp"\
- " src/node/validation_cache_args.cpp"\
- " src/policy/feerate.cpp"\
- " src/policy/packages.cpp"\
- " src/policy/settings.cpp"\
- " src/primitives/transaction.cpp"\
- " src/random.cpp"\
- " src/rpc/fees.cpp"\
- " src/rpc/signmessage.cpp"\
- " src/test/fuzz/string.cpp"\
- " src/test/fuzz/txorphan.cpp"\
- " src/test/fuzz/util/"\
- " src/test/util/coins.cpp"\
- " src/uint256.cpp"\
- " src/util/bip32.cpp"\
- " src/util/bytevectorhash.cpp"\
- " src/util/check.cpp"\
- " src/util/error.cpp"\
- " src/util/exception.cpp"\
- " src/util/getuniquepath.cpp"\
- " src/util/hasher.cpp"\
- " src/util/message.cpp"\
- " src/util/moneystr.cpp"\
- " src/util/serfloat.cpp"\
- " src/util/spanparsing.cpp"\
- " src/util/strencodings.cpp"\
- " src/util/string.cpp"\
- " src/util/syserror.cpp"\
- " src/util/threadinterrupt.cpp"\
- " src/zmq"\
- " -p . ${MAKEJOBS}"\
- " -- -Xiwyu --cxx17ns -Xiwyu --mapping_file=${BASE_BUILD_DIR}/bitcoin-$HOST/contrib/devtools/iwyu/bitcoin.core.imp"\
- " |& tee /tmp/iwyu_ci.out"
- export P_CI_DIR="${BASE_ROOT_DIR}/src"
- CI_EXEC "python3 ${DIR_IWYU}/include-what-you-use/fix_includes.py --nosafe_headers < /tmp/iwyu_ci.out"
- CI_EXEC "git --no-pager diff"
+ cd "${BASE_BUILD_DIR}/bitcoin-$HOST/src/"
+ ( run-clang-tidy-16 -quiet "${MAKEJOBS}" ) | grep -C5 "error"
+ cd "${BASE_BUILD_DIR}/bitcoin-$HOST/"
+ python3 "${DIR_IWYU}/include-what-you-use/iwyu_tool.py" \
+ src/common/args.cpp \
+ src/common/config.cpp \
+ src/common/init.cpp \
+ src/common/url.cpp \
+ src/compat \
+ src/dbwrapper.cpp \
+ src/init \
+ src/kernel \
+ src/node/chainstate.cpp \
+ src/node/chainstatemanager_args.cpp \
+ src/node/mempool_args.cpp \
+ src/node/minisketchwrapper.cpp \
+ src/node/utxo_snapshot.cpp \
+ src/node/validation_cache_args.cpp \
+ src/policy/feerate.cpp \
+ src/policy/packages.cpp \
+ src/policy/settings.cpp \
+ src/primitives/transaction.cpp \
+ src/random.cpp \
+ src/rpc/fees.cpp \
+ src/rpc/signmessage.cpp \
+ src/test/fuzz/string.cpp \
+ src/test/fuzz/txorphan.cpp \
+ src/test/fuzz/util \
+ src/test/util/coins.cpp \
+ src/uint256.cpp \
+ src/util/bip32.cpp \
+ src/util/bytevectorhash.cpp \
+ src/util/check.cpp \
+ src/util/error.cpp \
+ src/util/exception.cpp \
+ src/util/getuniquepath.cpp \
+ src/util/hasher.cpp \
+ src/util/message.cpp \
+ src/util/moneystr.cpp \
+ src/util/serfloat.cpp \
+ src/util/spanparsing.cpp \
+ src/util/strencodings.cpp \
+ src/util/string.cpp \
+ src/util/syserror.cpp \
+ src/util/threadinterrupt.cpp \
+ src/zmq \
+ -p . "${MAKEJOBS}" \
+ -- -Xiwyu --cxx17ns -Xiwyu --mapping_file="${BASE_BUILD_DIR}/bitcoin-$HOST/contrib/devtools/iwyu/bitcoin.core.imp" \
+ 2>&1 | tee /tmp/iwyu_ci.out
+ cd "${BASE_ROOT_DIR}/src"
+ python3 "${DIR_IWYU}/include-what-you-use/fix_includes.py" --nosafe_headers < /tmp/iwyu_ci.out
+ git --no-pager diff
fi
if [ "$RUN_SECURITY_TESTS" = "true" ]; then
- CI_EXEC make test-security-check
+ make test-security-check
fi
if [ "$RUN_FUZZ_TESTS" = "true" ]; then
- CI_EXEC LD_LIBRARY_PATH="${DEPENDS_DIR}/${HOST}/lib" test/fuzz/test_runner.py "${FUZZ_TESTS_CONFIG}" "$MAKEJOBS" -l DEBUG "${DIR_FUZZ_IN}"
+ bash -c "LD_LIBRARY_PATH=${DEPENDS_DIR}/${HOST}/lib test/fuzz/test_runner.py ${FUZZ_TESTS_CONFIG} $MAKEJOBS -l DEBUG ${DIR_FUZZ_IN}"
fi
diff --git a/ci/test_run_all.sh b/ci/test_run_all.sh
index f517d1b30e..751a4056df 100755
--- a/ci/test_run_all.sh
+++ b/ci/test_run_all.sh
@@ -10,7 +10,8 @@ set -o errexit; source ./ci/test/00_setup_env.sh
set -o errexit; source ./ci/test/04_install.sh
set -o errexit; source ./ci/test/05_before_script.sh
set -o errexit; source ./ci/test/06_script_a.sh
-set -o errexit; source ./ci/test/06_script_b.sh
+set -o errexit
+CI_EXEC "${BASE_ROOT_DIR}/ci/test/06_script_b.sh"
if [ -z "$DANGER_RUN_CI_ON_HOST" ]; then
echo "Stop and remove CI container by ID"